VPP: added 1804 to arm verify stream and arm merge
[ci-management.git] / jjb / vpp / include-raw-vpp-arm-build.sh
1 #!/bin/bash
2 # basic build script example
3 set -xe -o pipefail
4
5 OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
6 OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
7
8 echo OS_ID: $OS_ID
9 echo OS_VERSION_ID: $OS_VERSION_ID
10
11 echo "cat /etc/bootstrap.sha"
12 if [ -f /etc/bootstrap.sha ];then
13     cat /etc/bootstrap.sha
14 else
15     echo "Cannot find cat /etc/bootstrap.sha"
16 fi
17
18 echo "cat /etc/bootstrap-functions.sha"
19 if [ -f /etc/bootstrap-functions.sha ];then
20     cat /etc/bootstrap-functions.sha
21 else
22     echo "Cannot find cat /etc/bootstrap-functions.sha"
23 fi
24
25 echo "sha1sum of this script: ${0}"
26 sha1sum $0
27
28 echo "CC=${CC}"
29
30 make UNATTENDED=yes install-dep
31 make UNATTENDED=yes dpdk-install-dev
32 make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp wipe-all install-packages
33 make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp sample-plugin-install
34 make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp libmemif-install
35 make UNATTENDED=yes pkg-deb
36
37
38 if [ "x${VPP_REPO}" == "x1" ]; then
39     if [ "x${REBASE_NEEDED}" == "x1" ]; then
40         echo "This patch to vpp is based on an old point in the tree that is likely"
41         echo "to fail verify."
42         echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
43         exit 1
44     fi
45 fi
46
47 echo "*******************************************************************"
48 echo "* VPP ARM BUILD SUCCESSFULLY COMPLETED"
49 echo "*******************************************************************"